Bug 1638835 - High Host CPU load for Windows 10 Guests (Update 1803) when idle [rhel-7.6.z]
Summary: High Host CPU load for Windows 10 Guests (Update 1803) when idle [rhel-7.6.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.7
Hardware: x86_64
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Vitaly Kuznetsov
QA Contact: liunana
URL:
Whiteboard:
Depends On: 1610461 1644693
Blocks: 1624786 1690641
TreeView+ depends on / blocked
 
Reported: 2018-10-12 14:35 UTC by Oneata Mircea Teodor
Modified: 2019-03-27 08:26 UTC (History)
32 users (show)

Fixed In Version: qemu-kvm-rhev-2.12.0-18.el7_6.2
Doc Type: Enhancement
Doc Text:
Clone Of: 1610461
: 1690641 (view as bug list)
Environment:
Last Closed: 2019-01-29 18:32:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0209 None None None 2019-01-29 18:32:35 UTC

Description Oneata Mircea Teodor 2018-10-12 14:35:20 UTC
This bug has been copied from bug #1610461 and has been proposed to be backported to 7.6 z-stream (EUS).

Comment 2 Vitaly Kuznetsov 2018-10-15 11:39:03 UTC
The original BZ (1610461) has a dependency on kernel:
https://bugzilla.redhat.com/show_bug.cgi?id=1631439

It makes no sense to backport this Qemu change without the kernel counterpart.

Comment 6 Michael 2018-11-09 06:20:26 UTC
Hi all
QE side can verify this Bug now. 

re-test steps:
1) Boot the windows10-1803 guest. 
/usr/libexec/qemu-kvm -enable-kvm -M pc \

-cpu SandyBridge,+kvm_pv_unhalt,hv_stimer,hv_synic,hv_time,hv_relaxed\

-nodefaults -smp 4 -m 4G -name win10-1803 \

-drive file=Windows10-1803.qcow2,if=none,id=guest-img,format=qcow2,werror=stop,rerror=stop -device virtio-blk-pci,drive=guest-img,id=os-disk,bootindex=1 \

-vga qxl -monitor stdio -boot menu=on -vnc :1 \

-netdev tap,id=hostnet0,script=/etc/qemu-ifup,downscript=/etc/qemu-ifdown -device virtio-net-pci,netdev=hostnet0,id=net0,mac=00:84:ed:01:00:06 \

-usbdevice tablet

2) use top command to monitor host cpu usage and save to a file.
e.g #top -p 6358 -n 1800 -d 2 -b >fixed-top-pc-result (about 30 mins)

3) calculate average value with this file.
# cat fixed-top-pc-result |grep qemu-kvm|awk -F ' ' '{print $9;}'|awk '{sum+=$1} END {print "Average = ", sum/NR}'

Average =  2.44881


Environment:
kernel:4.18.0-33.el8.x86_64
qemu-kvm-3.0.0-1.el8+2055+38c90e40.x86_64


Thanks

Comment 7 FuXiangChun 2018-11-12 10:27:18 UTC
As QE used wrong kernel version to verify this bug. So, please ignore comment6 test result. and move this bug to ON_QA. Sorry to bring you some confusion.

Comment 8 FuXiangChun 2018-11-12 10:30:07 UTC
Amnon,

According to comment2 & comment3. If 7.6.z kernel isn't fixed. QE cann't verify this bug.

Comment 16 Michael 2018-12-10 06:54:57 UTC
Hi :

According the best new test result when using the fixed kernel version. The result looks good. 

Released-version number:
[1] 3.10.0-957.3.1.el7.x86_64
[2] qemu-kvm-rhev-2.12.0-19.el7.x86_64


Repeat the steps exactly same with the comment#6

Result:
Average =  4.36678

Now, this BZ can be made Verified. 



Thanks

Comment 18 errata-xmlrpc 2019-01-29 18:32:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0209


Note You need to log in before you can comment on or make changes to this bug.